<ion-header>
    <div id="btnMenu">
        <div class="btn">
            <ion-button fill="clear" tappable [routerDirection]="'back'" [routerLink]="['/app/tabs/tab-menu/home']">
                <ion-icon name="arrow-back" text="">
                </ion-icon>
            </ion-button>
        </div>
        <div class="title">
            Sign new document
        </div>
    </div>
    <div id="btnWho">
        <div class="btnWhoSub" tappable (click)="goOnlyMe()">
            <p>Only me</p>
        </div>
        <div class="vline"></div>
        <div class="btnWhoSub btnActive">
            <p>With others</p>
        </div>
    </div>
</ion-header>

<ion-content>
    <ion-item line="inset" *ngFor="let field of fields">
        <ion-grid *ngIf="field!='cosignAcc'">
            <ion-row>
                <ion-label color="medium">{{labels[field]}}</ion-label>
            </ion-row>
            <ion-row>
                <p>{{file[field]}}</p>
            </ion-row>
        </ion-grid>
        <ion-grid *ngIf="field=='cosignAcc'">
            <ion-row>
                <ion-label color="medium">{{labels[field]}}</ion-label>
            </ion-row>
            <ion-row>
                <p> {{file.cosignAcc}}</p>
                <ion-button id="btnChooseGroup" (click)="onChooseGroup()">Choose Group</ion-button>
            </ion-row>
        </ion-grid>
    </ion-item>
    <div id="btnSign" (click)="onSignDocument()" *ngIf="!isProcessing">
        <ion-button>Sign document</ion-button>
    </div>
    <div *ngIf="isProcessing" class="loading">
        <ion-spinner name="dots" color="primary"></ion-spinner>
    </div>
</ion-content>